---
title: llarp::CryptoManager

---

# llarp::CryptoManager





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[CryptoManager](Classes/structllarp_1_1CryptoManager.md#function-cryptomanager)**([Crypto](Classes/structllarp_1_1Crypto.md) * crypto) |
| | **[~CryptoManager](Classes/structllarp_1_1CryptoManager.md#function-~cryptomanager)**() |
| [Crypto](Classes/structllarp_1_1Crypto.md) * | **[instance](Classes/structllarp_1_1CryptoManager.md#function-instance)**() |

## Public Functions Documentation

### function CryptoManager

```cpp
inline explicit CryptoManager(
    Crypto * crypto
)
```


### function ~CryptoManager

```cpp
inline ~CryptoManager()
```


### function instance

```cpp
static inline Crypto * instance()
```


-------------------------------

Updated on 2023-06-06 at 21:47:58 +0000